Mailinglist Archive: opensuse-buildservice (262 mails)

< Previous Next >
[opensuse-buildservice] latest obs requires deb package which doesn't seem to be available
  • From: Carsten Hoeger <choeger@xxxxxxxxxxxx>
  • Date: Thu, 6 Aug 2009 18:25:18 +0200
  • Message-id: <20090806162518.GN5301@xxxxxxxxxxxx>
Hi,


just noticed, that all our debian builds contain empty Package files.

In publisher log I found:

running dpkg-scanpackages
Unknown option(-m)!
apt-ftparchive failed: 256

can be fixed in removing the -m option in the call to dpkg-scanpackages in
/usr/lib/obs/server/bs_publish:

- qsystem('chdir', $extrep, 'stdout', 'Packages.new', 'dpkg-scanpackages',
'-m', '.', '/dev/null') && print " apt-ftparchive failed: $?\n";
+ qsystem('chdir', $extrep, 'stdout', 'Packages.new', 'dpkg-scanpackages',
'.', '/dev/null') && print " apt-ftparchive failed: $?\n";


buildservice:/usr/lib/obs/server # rpm -q deb
deb-1.10.27-185.3


Is there a newer version of deb available for SLE10?

--
With best regards,

Carsten Hoeger
< Previous Next >
Follow Ups